import type { IDeletable } from "../../Core/IDeletable";
import type { TSciChart } from "../../types/TSciChart";
/** @internal */
export interface IWatermarkController extends IDeletable {
    update(left: number, bottom: number, canvasWidth: number, isLightBackground: boolean | undefined): void;
}
/** @internal */
export declare class WatermarkController implements IWatermarkController {
    private webAssemblyContext;
    private watermarkProperties;
    private watermarkPropertyPosition;
    constructor(webAssemblyContext: TSciChart);
    update(left: number, bottom: number, canvasWidth: number, isLightBackground: boolean | undefined): void;
    delete(): void;
}
/**
 * @ignore
 * @internal
 */
export declare class MockWatermarkController implements IWatermarkController {
    update(): void;
    delete(): void;
}
